Activities
curl --request GET \
--url https://api-staging.genuka.com/2023-11/admin/orders/{id}/activities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '""'import requests
url = "https://api-staging.genuka.com/2023-11/admin/orders/{id}/activities"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}
};
fetch('https://api-staging.genuka.com/2023-11/admin/orders/{id}/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-staging.genuka.com/2023-11/admin/orders/{id}/activities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => "\"\"",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-staging.genuka.com/2023-11/admin/orders/{id}/activities"
payload := strings.NewReader("\"\"")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-staging.genuka.com/2023-11/admin/orders/{id}/activities")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("\"\"")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-staging.genuka.com/2023-11/admin/orders/{id}/activities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "\"\""
response = http.request(request)
puts response.read_body{
"data": [
{
"batch_uuid": null,
"causer_id": "01k1amyqgjje8sknkzpm78qv6x",
"causer_type": "App\\Models\\User",
"created_at": "2025-10-10T11:27:08.000000Z",
"description": "Order updated",
"event": "updated",
"id": 141,
"log_name": "default",
"properties": {
"product_count": {
"new": 2,
"old": 1
}
},
"subject_id": "01k76xt7z87katy392s6w335cp",
"subject_type": "App\\Models\\Order",
"updated_at": "2025-10-10T11:27:08.000000Z",
"user": {
"birthdate": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-07-29T09:32:01.000000Z",
"deleted_at": null,
"email": "[email protected]",
"first_name": "Payton",
"id": "01k1amyqgjje8sknkzpm78qv6x",
"last_activity": "2025-10-10 11:28:44",
"last_login_at": null,
"last_login_ip": null,
"last_name": "Donnelly",
"metadata": {
"lang": "fr"
},
"name": "Payton Donnelly",
"opt_in": 0,
"phone": "+1 (551) 313-2592",
"pin_enabled": false,
"role": "admin",
"updated_at": "2025-10-10T11:28:44.000000Z"
},
"username": "Payton Donnelly"
},
{
"batch_uuid": null,
"causer_id": "01k1amyqgjje8sknkzpm78qv6x",
"causer_type": "App\\Models\\User",
"created_at": "2025-10-10T11:27:08.000000Z",
"description": "Order updated",
"event": "updated",
"id": 142,
"log_name": "default",
"properties": {
"amount": {
"new": 80000,
"old": 15000
}
},
"subject_id": "01k76xt7z87katy392s6w335cp",
"subject_type": "App\\Models\\Order",
"updated_at": "2025-10-10T11:27:08.000000Z",
"user": {
"birthdate": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-07-29T09:32:01.000000Z",
"deleted_at": null,
"email": "[email protected]",
"first_name": "Payton",
"id": "01k1amyqgjje8sknkzpm78qv6x",
"last_activity": "2025-10-10 11:28:44",
"last_login_at": null,
"last_login_ip": null,
"last_name": "Donnelly",
"metadata": {
"lang": "fr"
},
"name": "Payton Donnelly",
"opt_in": 0,
"phone": "+1 (551) 313-2592",
"pin_enabled": false,
"role": "admin",
"updated_at": "2025-10-10T11:28:44.000000Z"
},
"username": "Payton Donnelly"
}
],
"links": {
"first": "http://genuka-api.test/2023-11/admin/orders/01k76xt7z87katy392s6w335cp/activities?page=1",
"last": "http://genuka-api.test/2023-11/admin/orders/01k76xt7z87katy392s6w335cp/activities?page=1",
"next": null,
"prev": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"active": false,
"label": "« Previous",
"page": null,
"url": null
},
{
"active": true,
"label": "1",
"page": 1,
"url": "http://genuka-api.test/2023-11/admin/orders/01k76xt7z87katy392s6w335cp/activities?page=1"
},
{
"active": false,
"label": "Next »",
"page": null,
"url": null
}
],
"path": "http://genuka-api.test/2023-11/admin/orders/01k76xt7z87katy392s6w335cp/activities",
"per_page": 6,
"to": 2,
"total": 2
}
}Orders
Get order activities
Retrieve a chronological list of all activities related to a specific order, including status updates, payment events, fulfillment actions, and customer interactions. This endpoint helps you track the full lifecycle and history of an order for better visibility and auditing.
GET
/
2023-11
/
admin
/
orders
/
{id}
/
activities
Activities
curl --request GET \
--url https://api-staging.genuka.com/2023-11/admin/orders/{id}/activities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '""'import requests
url = "https://api-staging.genuka.com/2023-11/admin/orders/{id}/activities"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}
};
fetch('https://api-staging.genuka.com/2023-11/admin/orders/{id}/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-staging.genuka.com/2023-11/admin/orders/{id}/activities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => "\"\"",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-staging.genuka.com/2023-11/admin/orders/{id}/activities"
payload := strings.NewReader("\"\"")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-staging.genuka.com/2023-11/admin/orders/{id}/activities")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("\"\"")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-staging.genuka.com/2023-11/admin/orders/{id}/activities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "\"\""
response = http.request(request)
puts response.read_body{
"data": [
{
"batch_uuid": null,
"causer_id": "01k1amyqgjje8sknkzpm78qv6x",
"causer_type": "App\\Models\\User",
"created_at": "2025-10-10T11:27:08.000000Z",
"description": "Order updated",
"event": "updated",
"id": 141,
"log_name": "default",
"properties": {
"product_count": {
"new": 2,
"old": 1
}
},
"subject_id": "01k76xt7z87katy392s6w335cp",
"subject_type": "App\\Models\\Order",
"updated_at": "2025-10-10T11:27:08.000000Z",
"user": {
"birthdate": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-07-29T09:32:01.000000Z",
"deleted_at": null,
"email": "[email protected]",
"first_name": "Payton",
"id": "01k1amyqgjje8sknkzpm78qv6x",
"last_activity": "2025-10-10 11:28:44",
"last_login_at": null,
"last_login_ip": null,
"last_name": "Donnelly",
"metadata": {
"lang": "fr"
},
"name": "Payton Donnelly",
"opt_in": 0,
"phone": "+1 (551) 313-2592",
"pin_enabled": false,
"role": "admin",
"updated_at": "2025-10-10T11:28:44.000000Z"
},
"username": "Payton Donnelly"
},
{
"batch_uuid": null,
"causer_id": "01k1amyqgjje8sknkzpm78qv6x",
"causer_type": "App\\Models\\User",
"created_at": "2025-10-10T11:27:08.000000Z",
"description": "Order updated",
"event": "updated",
"id": 142,
"log_name": "default",
"properties": {
"amount": {
"new": 80000,
"old": 15000
}
},
"subject_id": "01k76xt7z87katy392s6w335cp",
"subject_type": "App\\Models\\Order",
"updated_at": "2025-10-10T11:27:08.000000Z",
"user": {
"birthdate": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-07-29T09:32:01.000000Z",
"deleted_at": null,
"email": "[email protected]",
"first_name": "Payton",
"id": "01k1amyqgjje8sknkzpm78qv6x",
"last_activity": "2025-10-10 11:28:44",
"last_login_at": null,
"last_login_ip": null,
"last_name": "Donnelly",
"metadata": {
"lang": "fr"
},
"name": "Payton Donnelly",
"opt_in": 0,
"phone": "+1 (551) 313-2592",
"pin_enabled": false,
"role": "admin",
"updated_at": "2025-10-10T11:28:44.000000Z"
},
"username": "Payton Donnelly"
}
],
"links": {
"first": "http://genuka-api.test/2023-11/admin/orders/01k76xt7z87katy392s6w335cp/activities?page=1",
"last": "http://genuka-api.test/2023-11/admin/orders/01k76xt7z87katy392s6w335cp/activities?page=1",
"next": null,
"prev": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"active": false,
"label": "« Previous",
"page": null,
"url": null
},
{
"active": true,
"label": "1",
"page": 1,
"url": "http://genuka-api.test/2023-11/admin/orders/01k76xt7z87katy392s6w335cp/activities?page=1"
},
{
"active": false,
"label": "Next »",
"page": null,
"url": null
}
],
"path": "http://genuka-api.test/2023-11/admin/orders/01k76xt7z87katy392s6w335cp/activities",
"per_page": 6,
"to": 2,
"total": 2
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"{{companyId}}"
Path Parameters
Response
200 - application/json
200 OK
Show child attributes
Show child attributes
Example:
[
{
"batch_uuid": null,
"causer_id": "01k1amyqgjje8sknkzpm78qv6x",
"causer_type": "App\\Models\\User",
"created_at": "2025-10-10T11:27:08.000000Z",
"description": "Order updated",
"event": "updated",
"id": 141,
"log_name": "default",
"properties": { "product_count": { "new": 2, "old": 1 } },
"subject_id": "01k76xt7z87katy392s6w335cp",
"subject_type": "App\\Models\\Order",
"updated_at": "2025-10-10T11:27:08.000000Z",
"user": {
"birthdate": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-07-29T09:32:01.000000Z",
"deleted_at": null,
"email": "[email protected]",
"first_name": "Payton",
"id": "01k1amyqgjje8sknkzpm78qv6x",
"last_activity": "2025-10-10 11:28:44",
"last_login_at": null,
"last_login_ip": null,
"last_name": "Donnelly",
"metadata": { "lang": "fr" },
"name": "Payton Donnelly",
"opt_in": 0,
"phone": "+1 (551) 313-2592",
"pin_enabled": false,
"role": "admin",
"updated_at": "2025-10-10T11:28:44.000000Z"
},
"username": "Payton Donnelly"
},
{
"batch_uuid": null,
"causer_id": "01k1amyqgjje8sknkzpm78qv6x",
"causer_type": "App\\Models\\User",
"created_at": "2025-10-10T11:27:08.000000Z",
"description": "Order updated",
"event": "updated",
"id": 142,
"log_name": "default",
"properties": { "amount": { "new": 80000, "old": 15000 } },
"subject_id": "01k76xt7z87katy392s6w335cp",
"subject_type": "App\\Models\\Order",
"updated_at": "2025-10-10T11:27:08.000000Z",
"user": {
"birthdate": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-07-29T09:32:01.000000Z",
"deleted_at": null,
"email": "[email protected]",
"first_name": "Payton",
"id": "01k1amyqgjje8sknkzpm78qv6x",
"last_activity": "2025-10-10 11:28:44",
"last_login_at": null,
"last_login_ip": null,
"last_name": "Donnelly",
"metadata": { "lang": "fr" },
"name": "Payton Donnelly",
"opt_in": 0,
"phone": "+1 (551) 313-2592",
"pin_enabled": false,
"role": "admin",
"updated_at": "2025-10-10T11:28:44.000000Z"
},
"username": "Payton Donnelly"
}
]
Show child attributes
Show child attributes
Show child attributes
Show child attributes
